View Issue Details

IDProjectCategoryView StatusLast Update
13385Bug reports[All Projects] Import/Exportpublic2018-02-21 16:38
ReportervitofranzoniAssigned Tomarkusfluer 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4.x 
Summary13385: Public PDF export show all question even if unrelevant
Description

We have updated our limesurvey hosting from version 2.65 to version 3.2.0 and then we have tested our surveys and we have found a problem in exporting the responses to PDF file.

Expected behaviour (as in version 2.65):
PDF file includes only the questions with an answer.

Unexpected behaviour:
In version 3.2.0 (and also in 3.3.1) the PDF also does include all the questions without an answer!

Because of our survey has hundreds of questions then PDF file from about 20 pages now exceeds more than 85.
Another survey from 25 pages now exceeds 600 pages!!

This is a problem for us because our partecipants want to print a PDF copy of the completed survey.

Can we set a flag to limit the PDF file to only questions with answers or how can this problem be solved?

Thank you
Vito Franzoni

Additional Information

Please note:
All our questions are mandatory questions, but we use a lot of relevance equations to control the flow of questions to display.

TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

CAF

CAF

2018-02-19 18:24

reporter   ~46585

I have the same problem. I believe that this incident was reported before (13341) but I do not know why it was closed without being resolved.

YuVeRe

YuVeRe

2018-02-19 19:14

reporter   ~46586

I reported the incidence 13341, and without giving me an answer they closed it, I did the test in the new version (3.4.0) to see if the error was corrected, but it still has the same problem.

DenisChenu

DenisChenu

2018-02-20 11:25

developer   ~46589

Not same issue then 13341 : here it's public PDF export, yours is admin PDF export.
And about the issue : you must put clearly the difference.

DenisChenu

DenisChenu

2018-02-20 11:26

developer   ~46590

Rename the issue to
Ā«Public PDF export show all question even if unrelevantĀ»

It's clearly a bug

markusfluer

markusfluer

2018-02-21 13:52

administrator   ~46663

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26535

Related Changesets

LimeSurvey: master d4602d49

2018-02-21 13:51:06

markusfluer

Details Diff
Fixed issue 13385: Public PDF export show all question even if unrelevant
Fixed issue 13331: Problem when printing the questions at the end of the survey
Affected Issues
13331, 13385
mod - application/controllers/PrintanswersController.php Diff File
mod - application/core/LS_Twig_Extension.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/models/Question.php Diff File
mod - application/models/SurveyDynamic.php Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_array-flexible-column.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_array-flexible-row.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_list-dropdown.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_list-radio.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_list-with-comment.twig Diff File
mod - themes/survey/vanilla/views/subviews/printanswers/question_types/template_ranking.twig Diff File

Issue History

Date Modified Username Field Change
2018-02-19 14:28 vitofranzoni New Issue
2018-02-19 18:24 CAF Note Added: 46585
2018-02-19 19:14 YuVeRe Note Added: 46586
2018-02-20 11:25 DenisChenu Note Added: 46589
2018-02-20 11:26 DenisChenu Summary unexpected behaviour exporting surveys to pdf file => Public PDF export show all question even if unrelevant
2018-02-20 11:26 DenisChenu Note Added: 46590
2018-02-20 11:26 DenisChenu Project Feature requests => Bug reports
2018-02-21 13:51 markusfluer Assigned To => markusfluer
2018-02-21 13:51 markusfluer Status new => resolved
2018-02-21 13:51 markusfluer Resolution open => fixed
2018-02-21 13:51 markusfluer Fixed in Version => 3.4.x
2018-02-21 13:52 markusfluer Changeset attached => LimeSurvey master d4602d49
2018-02-21 13:52 markusfluer Note Added: 46663
2018-02-21 16:38 ollehar Status resolved => closed